apiVersion: v1
kind: Service
metadata:
  name: cyb-mongo-express-ingress
  namespace: cyb
spec:
  ports:
    - port: 80
      targetPort: 8081
      protocol: TCP
  type: ClusterIP
  selector:
    app: cyb-mongo-express
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: cyb-mongo-express
  namespace: cyb
spec:
  rules:
    - host: mongo-express.cyb.10.20.2.179.nip.io
      http:
        paths:
          - backend:
              service:
                name: cyb-mongo-express-ingress
                port:
                  number: 80
            pathType: ImplementationSpecific
